%define	Summary	An X Window System graphical interface for the GNU gdb debugger

Name:		xxgdb
Summary:	%{Summary}
Version:	1.12
Release:	23mdk
License:	MIT
Icon:		%{name}.xpm
Group:		Development/Other
BuildRequires:	XFree86-devel X11

Source0:	ftp://sunsite.unc.edu/pub/Linux/devel/debuggers/%{name}-%{version}.tar.bz2
Source1:	xxgdb.wmconfig
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		xxgdb-1.08-glibc.patch.bz2
Patch1:		xxgdb-1.12-sysv.patch.bz2
Patch2:		xxgdb-1.12-compat21.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gdb

%description
Xxgdb is an X Window System graphical interface to the GNU gdb debugger.
Xxgdb provides visual feedback and supports a mouse interface for the
user who wants to perform debugging tasks like the following:  controlling
program execution through breakpoints, examining and traversing the
function call stack, displaying values of variables and data structures,
and browsing source files and functions.

Install the xxgdb package if you'd like to use a graphical interface with
the GNU gdb debugger.  You'll also need to have the gdb package installed.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .compat21

%build
xmkmf
%make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} install.man

install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig/xxgdb

# icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{name}"\
	needs="X11"\
	icon="%{name}.png"\
	section="Applications/Development/Tools"\
	title="%{name}"\
	longtitle="%{Summary}"
EOF

rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xxgdb
%{_prefix}/X11R6/man/man1/xxgdb.1x*
%{_prefix}/X11R6/lib/X11/doc/html/xxgdb.1.html
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XDbx
%config(noreplace) %{_sysconfdir}/X11/wmconfig/xxgdb
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.12-23mdk
- fix buildrequires

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.12-22mdk
- Rebuild with new menu

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.12-21mdk
- fix unpackaged files
- cleanups

* Sat Jul 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.12-20mdk
- macroize
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- rebuild
- fix unpackaged files

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.12-19mdk
- Use %%_tmppath for BuildRoot
- Use %%update_menus and %%clean_menus macros
- Let spec_helper do its job (bzip2 man pages and strip binaries)

* Thu Sep 14 2000 Florin Grad <florin@mandrakesoft.com> 1.12-18mdk
- eliminating some more warnings from rpmlint
- adding large icon and made all icons transparent

* Wed Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 1.12-17mdk
- adding some macros

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.12-16mdk
- automatically added BuildRequires

* Wed Apr  5 2000 Denis Havlik <denis@mandrakesoft.com> 1.12-15mdk
- group: Development/Other
- menu + icons ( need beter ones!) 
- spechelper

* Wed Dec 1 1999 Florent Villard <warly@mandrakesoft.com>
- built in new environment

* Tue Oct 19 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix incorrect paths in patch #1 (xxgdb-1.12-sysv.patch.bz2)

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Wed Mar 23 1999 Michael Maher <mike@redhat.com>
- added requires for gdb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch around i386 wchar_t glibc-2.1 typedef.

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- change wmconfig group to utilities
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Feb  9 1998 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url
- added wmconfig entries
- removed prefix line ... can't have it with wmconfig file :(

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
